Search Reddit posts
Authorization
Bearer AuthorizationBearer <token>
API key (rlay_live_* or rlay_test_*)
In: header
Query Parameters
cursor?string
Pagination cursor
limit?integer
Number of items per page
Range
1 <= value <= 100Default
20from?string
Filter: start date (ISO 8601)
Format
date-timeto?string
Filter: end date (ISO 8601)
Format
date-timequery*string
Search query
subreddit?string
Limit to subreddit
sort?string
Sort order
Default
"relevance"Value in
- "relevance"
- "hot"
- "top"
- "new"
- "comments"
time?string
Time filter
Default
"all"Value in
- "hour"
- "day"
- "week"
- "month"
- "year"
- "all"
account_id*string
Reddit account ID
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/reddit/search?query=string&account_id=string"{ "data": [ { "id": "string", "subreddit": "string", "title": "string", "author": "string", "url": "string", "selftext": "string", "score": 0, "num_comments": 0, "created_utc": 0, "thumbnail": "string", "is_self": true, "nsfw": true } ], "next_cursor": "string", "has_more": true}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}Found something wrong? Help us improve this page.